# swim - project board software

swim is a project/task management helper that organizes projects into "swim lanes". The lanes can contain "stories" that represent a subproject. These subprojects can have titles, descriptions, assigned users, a point representation of their difficulty, a task list, and comments. Stories can be moved around within and between lanes to represent their current state in the project. A common layout for simple projects is to have three lanes: backlog, active, complete; but many other working models are possible.

## Building and Installing

You will need a Go compiler. Testing on early versions has not been done, but suffice to say you should likely not need the latest cutting edge Go version to compile _swim_.

A Makefile has been provided with targets for `make` to just build in the local directory and `[sudo] make install` to install on the system along with the manpage. If you do not care about the manpage you can run `go build` or `go install`.

## Usage

_swim_ has a decent sized, and growing, number of commands and "hot" keys. They will be detailed in this section, but are also avialable via the manpage.

